%define ldbmajor	1
%define ldbver		1.1.16
%define epoch 1

%define libldb %mklibname ldb %{ldbmajor}
%define ldbdevel %mklibname -d ldb

%define libpyldbutil %mklibname pyldb-util 1
%define libpyldbutildevel %mklibname -d pyldb-util

%define check_sig() export GNUPGHOME=%{_tmppath}/rpm-gpghome \
if [ -d "$GNUPGHOME" ] \
then echo "Error, GNUPGHOME $GNUPGHOME exists, remove it and try again"; exit 1 \
fi \
install -d -m700 $GNUPGHOME \
gpg --import %{1} \
gpg --trust-model always --verify %{2} %{?3} \
rm -Rf $GNUPGHOME \


Name: ldb
Version: %{ldbver}
# We shipped it in samba3 versioned with the samba3 version
Epoch: %{epoch}
Release: %mkrel 2
Group: System/Libraries
License: GPLv2
URL: http://ldb.samba.org/
Summary: Library implementing Samba's embedded database
Source0: http://samba.org/ftp/ldb/ldb-%{ldbver}.tar.gz
Source1: http://samba.org/ftp/ldb/ldb-%{ldbver}.tar.asc
Source2: jelmer.asc
Patch1: ldb-1.1.4-disable-pyevent-check.patch
BuildRequires: python-devel
BuildRequires: openldap-devel
BuildRequires: popt-devel
BuildRequires: tevent-devel >= 1:0.9.17
BuildRequires: python-tevent >= 0.9.17
BuildRequires: talloc-devel >= 1:2.0.8
BuildRequires: pytalloc-util-devel >= 2.0.8
BuildRequires: tdb-devel >= 1.2.12
BuildRequires: python-tdb >= 1:1.2.11
BuildRequires: xsltproc
BuildRequires: docbook-style-xsl

%description
Library implementing Samba's embedded database and utilities for backing up,
restoring and manipulating the database.

%package -n %{libldb}
Group: System/Libraries
Summary: Library implementing Samba's embedded database

%description -n %{libldb}
Library implementing Samba's embedded database

%package -n ldb-utils
Group: Databases
Summary: Tools for backing up, restoring, and manipulating Samba's embedded database
Conflicts: samba-server < 3.3.2-2

%description -n ldb-utils
Tools for backing up, restoring, and manipulating Samba's embedded database

%package -n %{ldbdevel}
Group: Development/C
Summary: Library implementing Samba's embedded database
Provides: ldb-devel = %{epoch}:%{version}-%{release}
#Version: %%ldbver
Requires: %{libldb} = %{epoch}:%{version}-%{release}
# because /usr/include/ldb.h was moved from libsmbclient0-devel to libldb-devel
Conflicts: %{mklibname smbclient 0 -d} < 3.2.6-3

%description -n %{ldbdevel}
Library implementing Samba's embedded database

%package -n python-ldb
Group: Development/Python
Summary: Python bindings to Samba's ldb embedded database

%description -n python-ldb
Python bindings to Samba's ldb embedded database

%package -n %{libpyldbutil}
Group: System/Libraries
Summary: Utility library for using tdb functions in python

%description -n %{libpyldbutil}
Utility library for using tdb functions in python.

%package -n %{libpyldbutildevel}
Group: Development/Python
Summary: Development files for utility library for using tdb functions in python
Provides: pyldb-util-devel = %{version}-%{release}
Requires: %{libpyldbutil} = %{epoch}:%{version}

%description -n %{libpyldbutildevel}
Development files for utility library for using tdb functions in python.

%prep
# where i can get jalmer.ask?
# now pgp check disabled until jalmer.ask will be defined as SourceX
#% check_sig %%{SOURCE2} %%{SOURCE1} %%{SOURCE0}

%setup -q
%patch1 -p1 -b .nopyeventver
perl -pi -e 's,http://docbook.sourceforge.net/release/xsl/current,/usr/share/sgml/docbook/xsl-stylesheets,g' docs/builddocs.sh buildtools/wafsamba/wafsamba.py buildtools/wafsamba/samba_conftests.py

%build
%configure2_5x --with-modulesdir=%{_libdir} --bundled-libraries=NONE --disable-rpath
%make

%install
rm -Rf %{buildroot}
%makeinstall_std

%files -n %{libldb}
%{_libdir}/libldb.so.%{ldbmajor}*
%{_libdir}/ldb
%exclude %{_libdir}/ldb/libldb-cmdline.so

%files -n %{ldbdevel}
%{_libdir}/libldb.so
%{_libdir}/pkgconfig/ldb.pc
%{_includedir}/ldb*.h

%files -n ldb-utils
%{_bindir}/ldb*
%{_libdir}/ldb/libldb-cmdline.so
%{_mandir}/man1/ldb*.1%{_extension}
%{_mandir}/man3/ldb*.3%{_extension}

%files -n python-ldb
%{py_platsitedir}/ldb.so

%files -n %{libpyldbutil}
%{_libdir}/libpyldb-util.so.1*

%files -n %{libpyldbutildevel}
%{_libdir}/libpyldb-util.so
%{_includedir}/pyldb.h
%{_libdir}/pkgconfig/pyldb-util.pc


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1:1.1.16-2.mga4
+ Revision: 533092
- Mageia 4 Mass Rebuild

* Sun Aug 25 2013 luigiwalser <luigiwalser> 1:1.1.16-1.mga4
+ Revision: 471524
- 1.1.16

* Fri May 24 2013 luigiwalser <luigiwalser> 1:1.1.15-3.mga4
+ Revision: 426744
- 1.1.15

* Thu Mar 14 2013 guillomovitch <guillomovitch> 1:1.1.14-3.mga3
+ Revision: 403214
- ship the backends in the lib package, as they are useless otherwise

* Sat Jan 12 2013 umeabot <umeabot> 1:1.1.14-2.mga3
+ Revision: 356727
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 17 2012 buchan <buchan> 1:1.1.14-1.mga3
+ Revision: 332033
- New version 1.1.14
- Update version dependencies from bundled lib/*/wscript files

* Thu Aug 16 2012 fedya <fedya> 1:1.1.10-1.mga3
+ Revision: 281524
- rpmlint warning fix again on line 100
- rpmlint warning fix
- reason for disable pgp check see comment into prep section
- version update 1.1.10

* Tue Jan 10 2012 buchan <buchan> 1:1.1.4-1.mga2
+ Revision: 194482
- New version 1.1.4
- add signature checking
- disable broken version check for pytevent, exposed by preventing any lib bundling
- clean up BRs
- BR popt-devel

* Fri May 13 2011 buchan <buchan> 1:1.1.0-1.mga1
+ Revision: 97832
- Tighten tdb-devel BR
- imported package ldb


* Fri May 06 2011 Buchan Milne <bgmilne@mandriva.org> 1:1.1.0-1mdv2011.0
+ Revision: 669881
- Buildrequire tdb-devel to stop ldb building an internal copy
- buildrequire xsltproc
- Force use of local docbook stylesheets
- Buildrequire docbook-style-xsl
- import ldb

